/**Begin D:\Tasks\11.PMD\PDM_UPGRADE\PDM1\WTBD_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WTBD_SCENEFIELDCFG' AND KSQL_INDNAME = 'IDX_WTBD_SCENEFIELDCFG_NX') CREATE INDEX IDX_WTBD_SCENEFIELDCFG_NX ON T_WTBD_SCENEFIELDCFG ( FNUMBERX );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WTBD_SCENEFIELDCFG' AND KSQL_INDNAME = 'IDX_WTBD_SCENEFIELDCFG_CODE') CREATE INDEX IDX_WTBD_SCENEFIELDCFG_CODE ON T_WTBD_SCENEFIELDCFG ( FUNIQUECODE );


/**End D:\Tasks\11.PMD\PDM_UPGRADE\PDM1\WTBD_constraint.sql **/


/**Begin D:\PDM差量生成工具\pdm\PDM\PDM_UPGRADE\pdm1\WTBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_WTBD_RETRIEVALCONFIG', 'T_WTBD_RETRIEVALCONFIG', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_RTVLCONFIG_NUMBER') CREATE INDEX IDX_WTBD_RTVLCONFIG_NUMBER ON T_WTBD_RETRIEVALCONFIG ( FNUMBER );
 EXEC P_ALTERPK 'PK_WTBD_RETRIEVALCONFIG_L', 'T_WTBD_RETRIEVALCONFIG_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_RETRIEVALCONFIG_L') CREATE INDEX IDX_WTBD_RETRIEVALCONFIG_L ON T_WTBD_RETRIEVALCONFIG_L ( FID ,FLOCALEID );
 EXEC P_ALTERPK 'PK_WTBD_RTVLFIELDENTRY', 'T_WTBD_RTVLFIELDENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_RTVLFIELDENTRY') CREATE INDEX IDX_WTBD_RTVLFIELDENTRY ON T_WTBD_RTVLFIELDENTRY ( FID );
 EXEC P_ALTERPK 'PK_WTBD_RTVLRELATIONENTRY', 'T_WTBD_RTVLRELATIONENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_RTVLRELATIONENTRY') CREATE INDEX IDX_WTBD_RTVLRELATIONENTRY ON T_WTBD_RTVLRELATIONENTRY ( FID );
 EXEC P_ALTERPK 'PK_WTBD_RTVLSORTENTRY', 'T_WTBD_RTVLSORTENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_RTVLSORTENTRY') CREATE INDEX IDX_WTBD_RTVLSORTENTRY ON T_WTBD_RTVLSORTENTRY ( FID );
/**End D:\PDM差量生成工具\pdm\PDM\PDM_UPGRADE\pdm1\WTBD_constraint.sql **/
